### org.jfree.layouting.input.style.parser

# Class CSSParserContext

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.CSSParserContext`

`public class CSSParserContext`
`extends java.lang.Object`

Creation-Date: 25.11.2005, 17:47:10

Author:
  Thomas Morgner

  ## Method Summary

  `void`

  `destroy()`

  `static CSSParserContext`

  `getContext()`

  `String`

  `getDefaultNamespace()`

  `Map`

  `getNamespaces()`

  `ResourceKey`

  `getSource()`

  `StyleKeyRegistry`

  `getStyleKeyRegistry()`

  `CSSValueFactory`

  `getValueFactory()`

  `void`

  `setDefaultNamespace(String defaultNamespace)`

  `void`

  `setNamespaces(Map namespaces)`

  `void`

  `setSource(ResourceKey source)`

  `void`

  `setStyleKeyRegistry(StyleKeyRegistry styleKeyRegistry)`

## Method Details

### destroy

    public void destroy()

### getContext

    public static CSSParserContext getContext()

### getDefaultNamespace

    public String getDefaultNamespace()

### getNamespaces

    public Map getNamespaces()

### getSource

    public ResourceKey getSource()

### getStyleKeyRegistry

    public StyleKeyRegistry getStyleKeyRegistry()

### getValueFactory

    public CSSValueFactory getValueFactory()

### setDefaultNamespace

    public void setDefaultNamespace(String defaultNamespace)

### setNamespaces

    public void setNamespaces(Map namespaces)

### setSource

    public void setSource(ResourceKey source)

### setStyleKeyRegistry

    public void setStyleKeyRegistry(StyleKeyRegistry styleKeyRegistry)